Subject: I-D ACTION:draft-olaf-dnsext-dnssec-wildcard-optimization-01.txt

From: [email-masked]
Date: Fri, 08 Nov 2002 07:32:17 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: DNSSEC Wildcard  optimization
	Author(s)	: O. Kolkman et al.
	Filename	: draft-olaf-dnsext-dnssec-wildcard-optimization-01.txt
	Pages		: 13
	Date		: 2002-11-7
	
Secure denial of the existence of wildcards may lead to a large
number of NXT RRs and associated SIG RRs in DNS responses, even in
the common case when wildcards are not present in the zone.  This
optimization uses one bit from the NXT type array to signal that
there is no closer wildcard in the zone for a given query name.  This
reduces the packet size and the need for executing slow, and
complicated, code paths in common queries.  In cases where there are
no wildcard RRs in the zone (i.e.  te root zone) only one NXT RR and
corresponding SIG is needed for denial of existence of the wildcard.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-olaf-dnsext-dnssec-wildcard-optimization-01.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-olaf-dnsext-dnssec-wildcard-optimization-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-olaf-dnsext-dnssec-wildcard-optimization-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.